%define upstream_name DJabberd-Plugin-JabberIqVersion
%define upstream_version 0.40

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	Artistic or GPL
Group:		Development/Perl
Summary:	Add support for "XEP 0092, Software version" to DJabberd
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MISC/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires: perl-devel
BuildRequires: perl(DJabberd)
BuildArch: noarch
%description
DJabberd::Plugin::JabberIqVersion add support for "XEP 0092, Software version" 
to DJabberd, a xmpp server framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# disabled, test seems to requires a update with new perl to work 
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/DJabberd/*
%{_mandir}/man3/*


%changelog
* Thu Nov 03 2022 umeabot <umeabot> 0.400.0-6.mga9
+ Revision: 1901891
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-5.mga8
+ Revision: 1494422
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.400.0-4.mga7
+ Revision: 1267794
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-3.mga6
+ Revision: 1026817
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.400.0-2.mga6
+ Revision: 938639
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40-6.mga5
+ Revision: 744067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40-5.mga5
+ Revision: 684154
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40-4.mga4
+ Revision: 510511
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40-3.mga3
+ Revision: 365210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.40-2.mga1
+ Revision: 37405
- mageia rebuild
- imported package perl-DJabberd-Plugin-JabberIqVersion

